*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
   
}
:root{
    --GrayishBlue: hsl(212, 23%, 80%);
    --LightBlue: hsl(210, 46%, 95%);
    --DarkBlue:hsl(217, 19%, 35%);
}

body{
    display: flex;
    flex-direction: column;
    justify-content: center; 
    height: 100svh;
   align-items: center;
   background-color:var(--GrayishBlue);
}
.container{
    max-width: 85vw;
    background-color:var(--LightBlue);
    border-radius: 0.5em;
   
}
.hero-img{
 border-top-left-radius: 0.5em;
 border-top-right-radius: 0.5em;
 display: block;
 width: 100%;
}

article{
    padding-left: 1.1em;
    padding-right: 1.1em;
    padding-top: 1.1em;
    padding-bottom: 0.8em;
}
article > p {
    margin-top: 1.2em;
    line-height: 1.3;
    font-size: 1.1em;
}

h1{
    font-size: clamp(1em, 1.2rem, 1.3em)
}
.avatar {
    border-radius: 3em;
    width: 17%;
}
.person {
   display: flex;
   flex-direction: row;
   width: 100%; 
   justify-content: space-between;
   align-items: center;
   padding: 1.1em;
    
  
   
} 
.details{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1em;
   
}


.hidden-section {
  display: none;
  align-items: center;
  gap: 1em;
  flex-wrap: wrap; 
  letter-spacing: 0.2rem;
  color: var(--GrayishBlue);
}
.hidden-section img{
    height: 25px;
    width: 25px;
    flex-shrink: 0; 
   
}
button{
    background-color: hsl(212, 23%, 90%);
    cursor: pointer;
    padding: 0.5em;
    border: transparent;
    border-radius: 30px;
   
    align-items: center;
      
 
}

/* javascript states */
.active{
   display:flex;
 
  
}
.detailsActive {
    display: none;
}
.personActive{
    background-color: var(--DarkBlue);
   

}

@media (min-width:700px){
    .container {
        display: flex; 
       flex-direction: row;
        width: clamp(50%, 55vw, 55%); 
      
    }
        .details {
            display: flex !important;
        
        }
    .hero-img {
     width: 50%;
     border-top-left-radius: 0.5em;
     border-top-right-radius: 0;
     border-bottom-left-radius: 0.5em;  
    }
    .person{
        position: relative;
     
    }
    .person.personActive{
        background-color: transparent !important;

    }
    .shareActive{
       
        background-color: var(--DarkBlue);
        
    }
    .hidden-section img{
        height: 12px;
    }

     .hidden-section {
    font-size: rem;
     position: absolute;
     padding: 0.7em;
     border-radius: 0.5em;
     flex-wrap: nowrap; 
     transform: translateX(35%); 
     right: 0;
     bottom: 100%;
     background-color: var(--DarkBlue);
     }

         .active::after {
             content: "";
             position: absolute;
            transform: translateX(-50%);
             top: 100%;
             left: 50%;

             border-width: 12px;
             border-style: solid;
             border-color: var(--DarkBlue) transparent transparent transparent;
         }


}
